routes/admin.php
<?php
use App\Http\Controllers\Auth\AuthenticatedSessionController;
use Illuminate\Support\Facades\Route;



Route::get('dashboard', 'AuthController@showLoginForm')->name('admin.login');
Route::post('dashboard', 'AuthController@login');


Route::post('admin/logout', [AuthenticatedSessionController::class, 'destroy'])
    ->middleware('auth:admin')
    ->name('admin.logout');

Route::group(['prefix' => 'dashboard', 'middleware' =>['auth:admin','admin'], 'as' => 'admin.'], function () {

    Route::get('/main', 'DashboardController@index')->name('main');
    Route::resource('roles', 'RoleController');
    Route::resource('admins', 'AdminController');
    Route::resource('users', 'UserController');
    Route::resource('services', 'ServiceController');
    Route::resource('blogs', 'BlogController');
    Route::resource('settings', 'SettingController');
    Route::resource('partners', 'PartnerController');
    Route::resource('testimonials', 'TestimonialController');
    Route::resource('guest-messages', 'GuestMessageController');
    Route::resource('site-forms', 'SiteFormController');
    Route::resource('mail-lists', 'MailListController');
    Route::resource('home-text', 'HomeTextController');


    Route::post('active/{id}/role', 'RoleController@active')->name('active.role');
    Route::post('active/{id}/{type}', 'DashboardController@active')->name('active');

});



require __DIR__.'/auth.php';

routes/web.php
<?php

use App\Http\Controllers\Site\AuthController;
use App\Http\Controllers\Site\HomeController;
use Illuminate\Support\Facades\Route;

Route::group(['middleware'=>'checkBanned','as' => 'site.'], function () {
    Route::get('/', [HomeController::class, 'index'])->name('home');
    Route::get('/about', [HomeController::class, 'about'])->name('about');
    Route::get('/services', [HomeController::class, 'services'])->name('services');
    Route::get('/blog', [HomeController::class, 'blog'])->name('blog');
    Route::get('/single-blog/{id}', [HomeController::class, 'singleBlog'])->name('singleBlog');
    Route::get('/contact', [HomeController::class, 'contact'])->name('contact');
    Route::post('/contact', [HomeController::class, 'postContact'])->name('postContact');
    Route::post('/subscribe', [HomeController::class, 'subscribe'])->name('subscribe');


    Route::get('forget', [AuthController::class, 'resetForm'])->name('resetForm');
    Route::get('send-code', [AuthController::class, 'sendCode'])->name('sendCode');
    Route::post('/change-password', [AuthController::class, 'changePassword'])->name('changePassword');

    Route::get('/form', [HomeController::class, 'form'])->name('form');
    Route::post('/form', [HomeController::class, 'sendForm'])->name('send_form');
    Route::get('/page_image', [HomeController::class, 'page_image'])->name('page_image');
    Route::get('/alhadina', [HomeController::class, 'alhadina'])->name('alhadina');


});

//require __DIR__.'/auth.php';

app/Models/Testimonial.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\Testimonial
 *
 * @property int $id
 * @property string $name
 * @property string|null $image
 * @property string $content
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|Testimonial newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Testimonial newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|Testimonial query()
 * @method static \Illuminate\Database\Eloquent\Builder|Testimonial whereContent($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Testimonial whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Testimonial whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Testimonial whereImage($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Testimonial whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|Testimonial whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class Testimonial extends Model
{
    use HasFactory;
    protected $guarded = [];

    public function setImageAttribute($image)
    {
        if (!empty($image)) {
            $this->attributes['image'] = uploadImage('uploads', $image);
        }
    }

}

app/Http/Controllers/Admin/DashboardController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class DashboardController extends Controller
{
    public function index()
    {
        return view('dashboard.layouts.main');
    }


    public function active($id, $className)
    {
        $baseClass = 'App\Models\\' . $className;
        $model = $baseClass::findOrFail($id);
        $model->update(['is_active' => !$model->is_active]);

        return back()->with('success', __('تم التحديث بنجاح'));
    }
}

app/Http/Controllers/Admin/TestimonialController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\ServiceRequest;
use App\Http\Requests\TestimonialRequest;
use App\Models\Service;
use App\Models\Testimonial;
use Spatie\Permission\Models\Permission;
use Illuminate\Http\Request;
use Spatie\Permission\Models\Role;

class TestimonialController extends Controller
{
    public function __construct()
    {
        $this->middleware('permission:Testimonials');
    }

    /**
     * Display a listing of the resource.
     *

     */
    public function index()
    {
        $testimonials = Testimonial::latest()->get();
        return view('dashboard.testimonials.index', compact('testimonials'));
    }

    /**
     * Show the form for creating a new resource.
     *
     */
    public function create()
    {
        return view('dashboard.testimonials.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     *
     */
    public function store(TestimonialRequest $request)
    {
        $validator = $request->validated();
        Testimonial::create($validator);
        return redirect(route('admin.testimonials.index'))->with('success', 'تم الاضافة بنجاح');
    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return
     */
    public function edit(Testimonial $testimonial)
    {
        return view('dashboard.testimonials.edit', compact('testimonial'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return
     */
    public function update(TestimonialRequest $request, Testimonial $testimonial)
    {
        $validator = $request->validated();
        if ($request->image) {
            if ($testimonial->image) {
                deleteImage('uploads', $testimonial->image);
            }
        }

        $testimonial->update($validator);
        return redirect(route('admin.testimonials.index'))->with('success', 'تم التعديل بنجاح');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return
     */
    public function destroy(Testimonial $testimonial)
    {
        if ($testimonial->image) {
            deleteImage('uploads', $testimonial->image);
        }

        $testimonial->delete();
        return 'Done';
    }
}

resources/views/dashboard/testimonials/create.blade.php
@extends('dashboard.layouts.layout')
@section('title',' اضافة رأى جديد')

@section('content')

    <div class="row">
        <div class="col-lg-12">
            <div class="card-box">

                <div class="breadcrumb">
                    <a href="{{route('admin.main')}}" class="header-title m-t-0 m-b-30"><i class="icon-home2 mr-2"></i>
                        الرئيسية</a> /
                    <a href="{{route('admin.testimonials.index')}}" class="header-title m-t-0 m-b-30"><i
                            class="icon-home2 mr-2"></i>
                        الاراء </a> /
                    <span class="breadcrumb-item active">@yield('title')</span>
                </div>

                <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box table-responsive">
                            {{--                            @include('dashboard.layouts.status')--}}
                            <h4 class="header-title m-t-0 m-b-30"> اضافة خدمة</h4>

                            <form class="form-horizontal" role="form" method="post" enctype="multipart/form-data"
                                  action="{{route('admin.testimonials.store')}}">
                                @csrf
                                <div class="form-group row">
                                    <label class="col-md-2 control-label">الاسم</label>
                                    <div class="col-md-4">
                                        <input type="text"
                                               class="form-control  {{$errors->has('name') ? ' is-invalid' : null}}"
                                               name="name" value="{{old('name')}}" placeholder="الاسم">
                                        @error('name')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror
                                    </div>
                                </div>

                                <div class="form-group row">
                                    <label class="col-md-2 control-label">الصورة</label>
                                    <div class="col-md-4">
                                        <input type="file"
                                               class="form-control  {{$errors->has('image') ? ' is-invalid' : null}}"
                                               name="image">
                                        @error('image')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-2 control-label"> المحتوى</label>
                                    <div class="col-md-10">
                                        <textarea name="content" cols="30" rows="5" placeholder="المحتوى ..."
                                                  class="form-control {{$errors->has('content') ? ' is-invalid' : null}}">{{old('content')}}</textarea>
                                        @error('content')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror
                                    </div>
                                </div>

                                <div class="text-center form-group row">
                                    <button type="submit"
                                            class="btn btn-success btn-block waves-effect waves-light m-l-10 btn-md">
                                        حفظ
                                    </button>
                                </div>

                            </form>
                        </div>
                    </div><!-- end col -->
                </div>
            </div>
        </div><!-- end col -->
    </div>

@endsection

resources/views/dashboard/testimonials/edit.blade.php
@extends('dashboard.layouts.layout')
@section('title',' تعديل رأى ')

@section('content')

    <div class="row">
        <div class="col-lg-12">
            <div class="card-box">

                <div class="breadcrumb">
                    <a href="{{route('admin.main')}}" class="header-title m-t-0 m-b-30"><i class="icon-home2 mr-2"></i>
                        الرئيسية</a> /
                    <a href="{{route('admin.testimonials.index')}}" class="header-title m-t-0 m-b-30"><i
                            class="icon-home2 mr-2"></i>
                        الاراء </a> /
                    <span class="breadcrumb-item active">@yield('title')</span>
                </div>

                <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box table-responsive">
                            {{--                            @include('dashboard.layouts.status')--}}
                            <h4 class="header-title m-t-0 m-b-30"> تعديل رأى</h4>

                            <form class="form-horizontal" role="form" method="post" enctype="multipart/form-data"
                                  action="{{route('admin.testimonials.update',$testimonial->id)}}">
                                @csrf
                                {{method_field('put')}}

                                <div class="form-group row">
                                    <label class="col-md-2 control-label">الاسم</label>
                                    <div class="col-md-4">
                                        <input type="text"
                                               class="form-control  {{$errors->has('name') ? ' is-invalid' : null}}"
                                               name="name" value="{{$testimonial->name}}" placeholder="الاسم">
                                        @error('name')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-md-2 control-label">الصورة</label>
                                    <div class="col-md-4">
                                        <input type="file"
                                               class="form-control  {{$errors->has('image') ? ' is-invalid' : null}}"
                                               name="image">
                                        @error('image')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror
                                    </div>

                                    @if($testimonial->image)

                                        <a data-fancybox="gallery" href="{{getImgPath($testimonial->image)}}">
                                            <img src="{{getImgPath($testimonial->image)}}" width="100" height="100" class="img-thumbnail">
                                        </a>
                                    @else لا يوجد صورة @endif

                                </div>
                                <div class="form-group row">
                                    <label class="col-md-2 control-label"> المحتوى</label>
                                    <div class="col-md-10">
                                        <textarea name="content" cols="30" rows="5" placeholder="المحتوى ..."
                                                  class="form-control {{$errors->has('content') ? ' is-invalid' : null}}">{{$testimonial->content}}</textarea>
                                        @error('content')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror
                                    </div>
                                </div>

                                <div class="text-center form-group row">
                                    <button type="submit"
                                            class="btn btn-success btn-block waves-effect waves-light m-l-10 btn-md">
                                        تعديل
                                    </button>
                                </div>

                            </form>
                        </div>
                    </div><!-- end col -->
                </div>
            </div>
        </div><!-- end col -->
    </div>

@endsection

resources/views/dashboard/testimonials/index.blade.php
@extends('dashboard.layouts.layout')
@section('title','الاراء ')

@section('content')

    <div class="row">
        <div class="col-lg-12">
            <div class="card-box">

                <div class="breadcrumb">
                    <a href="{{route('admin.main')}}" class="header-title m-t-0 m-b-30"><i class="icon-home2 mr-2"></i>
                        الرئيسية</a> /
                    <span class="breadcrumb-item active">@yield('title')</span>
                </div>

                <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box table-responsive">
                            @include('dashboard.layouts.status')

                            <a href="{{route('admin.testimonials.create')}}"
                               class="btn btn-purple btn-rounded w-md waves-effect waves-light m-b-5">اضافة رأى
                                جديدة</a>
                            <br>
                            <br>

                            <table id="datatable-keytable" class="table table-striped table-bordered text-center">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>الاسم</th>
                                    <th>الصورة</th>
                                    <th>المحتوى </th>
                                    <th>العمليات</th>
                                </tr>
                                </thead>

                                <tbody>
                                @foreach($testimonials as $index => $testimonial)
                                    <tr>
                                        <td>{{$index +1}}</td>
                                        <td>{{$testimonial->name}}</td>
                                        <td>
                                            @if($testimonial->image)
                                                <a data-fancybox="gallery" href="{{getImgPath($testimonial->image)}}">
                                                    <img src="{{getImgPath($testimonial->image)}}" width="70" height="70"
                                                         class="img-thumbnail" alt="service_img">
                                                </a>
                                            @else {{__('No Image')}} @endif
                                        </td>
                                        <td>{{$testimonial->content}}</td>
                                        <td class="text-center">

                                            <a href="{{url(route('admin.testimonials.edit',$testimonial->id))}}"
                                               class="btn-icon waves-effect btn btn-primary btn-sm ml-2 rounded-circle"><i
                                                    class="fa fa-edit"></i></a>


                                            <button data-url="{{route('admin.testimonials.destroy',$testimonial->id)}}"
                                                    class="btn-icon waves-effect btn btn-danger rounded-circle btn-sm ml-2 delete" title="Delete">
                                                <i class="fa fa-trash"></i>
                                            </button>



                                        </td>
                                    </tr>
                                @endforeach


                                </tbody>
                            </table>
                        </div>
                    </div><!-- end col -->
                </div>

            </div>
        </div><!-- end col -->
    </div>

@endsection